Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
ref.hpp File Reference

## Classes
struct | ranges::ref_view< Rng >
struct | ranges::ref_view< Rng >
struct | ranges::views::ref_fn

## Typedefs
template<typename Rng >
using | ranges::cpp20::ref_view = ranges::ref_view< Rng >

## Functions
template<typename R >
| ranges::ref_view (R &) -> ref_view< R >

## Variables
template<typename Rng >
constexpr bool | ranges::enable_borrowed_range< ref_view< Rng > > = true